import request from '@/utils/request'

// 查询商品信息列表
export function listProduct_info(query) {
  return request({
    url: '/platform/product_info/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息详细
export function getProduct_info(id) {
  return request({
    url: '/platform/product_info/' + id,
    method: 'get'
  })
}

// 新增商品信息
export function addProduct_info(data) {
  return request({
    url: '/platform/product_info',
    method: 'post',
    data: data
  })
}

// 修改商品信息
export function updateProduct_info(data) {
  return request({
    url: '/platform/product_info',
    method: 'put',
    data: data
  })
}

// 删除商品信息
export function delProduct_info(id) {
  return request({
    url: '/platform/product_info/' + id,
    method: 'delete'
  })
}
